| Home | Libraries | People | FAQ | More

## Function get_old_failure

boost::contract::get_old_failure — Return failure handler currently set for old values copied at body.

## Synopsis

    // In header: <boost/contract/core/exception.hpp>

    from_failure_handler get_old_failure();

## Description

This is often called only internally by this library.

Throws: This is declared `noexcept` (or `throw()` before C++11).

See Also: Throw on Failure, Old Values Copied at Body

Returns: | A copy of the failure handler currently set.